anova.negbin {MASS} | R Documentation

## Likelihood Ratio Tests for Negative Binomial GLMs

### Description

Method function to perform sequential likelihood ratio tests for Negative Binomial generalized linear models.

### Usage

    ## S3 method for class 'negbin':
    anova(object, ..., test = "Chisq")

### Arguments

`object` | Fitted model object of class `"negbin"`, inheriting from classes `"glm"` and `"lm"`, specifying a Negative Binomial fitted GLM. Typically the output of `glm.nb()`.
`...` | Zero or more additional fitted model objects of class `"negbin"`. They should form a nested sequence of models, but need not be specified in any particular order.
`test` | Argument to match the `test` argument of `anova.glm`. Ignored (with a warning if changed) if a sequence of two or more Negative Binomial fitted model objects is specified, but possibly used if only one object is specified.

### Details

This function is a method for the generic function `anova()` for class `"negbin"`. It can be invoked by calling `anova(x)` for an object `x` of the appropriate class, or directly by calling `anova.negbin(x)` regardless of the class of the object.

### Note

If only one fitted model object is specified, a sequential analysis of deviance table is given for the fitted model. The `theta` parameter is kept fixed. If more than one fitted model object is specified they must all be of class `"negbin"` and likelihood ratio tests are done of each model within the next. In this case `theta` is assumed to have been re-estimated for each model.

### References

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`glm.nb`, `negative.binomial`, `summary.negbin`

### Examples

    m1 <- glm.nb(Days ~ Eth*Age*Lrn*Sex, quine, link = log)
    m2 <- update(m1, . ~ . - Eth:Age:Lrn:Sex)
    anova(m2, m1)
    anova(m2)

[Package MASS version 7.2-45 Index]